Bug 25867 - Inc. module spec. versions
Inc. module spec. versions
Status: RESOLVED FIXED
Product: www
Classification: Unclassified
Component: Builds & Repositories
3.x
All All
: P1 (vote)
: 3.x
Assigned To: Jesse Glick
nbbuild-issues@ide
http://www.netbeans.org/devhome/docs/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-22 10:57 UTC by Jesse Glick
Modified: 2002-08-01 19:18 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
:


Attachments
Patch (47.58 KB, patch)
2002-08-01 19:12 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-07-22 10:57:39 UTC
Sorry to dump this on you, but I am not sure I
have enough time at OSCON to do this and test it
properly, although there is a net connection.

Every module needs to have its spec version
incremented in the release34 branch to make Auto
Update happy, and also incremented in the trunk to
make sure the dev version is considered newer than
the 3.4 version.

Affected modules: all in standard config, plus
others which are branched: ant/docs; apisupport;
apisupport/ant; apisupport/apidocs; monitor; some
web/* (not sure exactly which).

A couple of modules have already inc'd spec vers
in release34 branch (web/* maybe?), but it would
not hurt to do it again I guess. openide has
already incremented it in the trunk.

Remember some modules use .properties files for
this, where the manifest gets substituted at build
time.

See release checklist for details. Red block,
point 13. When finished,

<li class="todo">

should be changed in HTML source of this page to

<li class="done">

and the update committed (to testwww not www!).

Trung would you have any time to do this? Petr
Hrebejk I think has done it before too, and QA has
done it, maybe Honza.
Comment 1 _ ttran 2002-07-26 21:48:06 UTC
Too bad.  I didn't see this issue before.  Jesse, next time please
send me an email.  We need to do it between RC1 and final.  The splash
image and version number must be updated anyway.

I assign this back to jglick.  Okay?
Comment 2 Jesse Glick 2002-07-29 02:40:16 UTC
OK. I was hoping to get it done for RC1, but for release will do.
Comment 3 _ rkubacki 2002-07-29 13:07:27 UTC
web/advanced, web/jspdebug, web/taglibed and monitor already have the
version updated in release34 branch and in trunk. That's because we
published them on Alpha AU for 3.4.

I assume that you (Jesse) will do it for modules in standard config.
Thanks.
Comment 4 Jesse Glick 2002-07-29 15:23:14 UTC
Changing milestone back, Radim seems to have reverted it to TBD for
some reason...
Comment 5 Jesse Glick 2002-08-01 19:12:30 UTC
Created attachment 6981 [details]
Patch
Comment 6 Jesse Glick 2002-08-01 19:18:34 UTC
Done together with RC2 branding:

Checking in ant/manifest.mf;
/cvs/ant/manifest.mf,v  <--  manifest.mf
new revision: 1.44.6.1; previous revision: 1.44
done
Processing log script arguments...
More commits to come...
Checking in apisupport/apisupport-lite.mf;
/cvs/apisupport/apisupport-lite.mf,v  <--  apisupport-lite.mf
new revision: 1.14.14.1; previous revision: 1.14
done
Checking in apisupport/manifest.mf;
/cvs/apisupport/manifest.mf,v  <--  manifest.mf
new revision: 1.65.4.1; previous revision: 1.65
done
Processing log script arguments...
More commits to come...
Checking in apisupport/ant/manifest.mf;
/cvs/apisupport/ant/manifest.mf,v  <--  manifest.mf
new revision: 1.2.12.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in apisupport/apidocs/manifest.mf;
/cvs/apisupport/apidocs/manifest.mf,v  <--  manifest.mf
new revision: 1.2.12.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in applet/manifest.mf;
/cvs/applet/manifest.mf,v  <--  manifest.mf
new revision: 1.43.14.1; previous revision: 1.43
done
Processing log script arguments...
More commits to come...
Checking in autoupdate/manifest.mf;
/cvs/autoupdate/manifest.mf,v  <--  manifest.mf
new revision: 1.41.10.1; previous revision: 1.41
done
Processing log script arguments...
More commits to come...
Checking in beans/manifest.mf;
/cvs/beans/manifest.mf,v  <--  manifest.mf
new revision: 1.30.18.1; previous revision: 1.30
done
Processing log script arguments...
More commits to come...
Checking in classfile/manifest.mf;
/cvs/classfile/manifest.mf,v  <--  manifest.mf
new revision: 1.10.16.1; previous revision: 1.10
done
Processing log script arguments...
More commits to come...
Checking in clazz/manifest.mf;
/cvs/clazz/manifest.mf,v  <--  manifest.mf
new revision: 1.34.18.1; previous revision: 1.34
done
Processing log script arguments...
More commits to come...
Checking in core/manifest.mf;
/cvs/core/manifest.mf,v  <--  manifest.mf
new revision: 1.3.14.1; previous revision: 1.3
done
Processing log script arguments...
More commits to come...
Checking in core/compiler/manifest.mf;
/cvs/core/compiler/manifest.mf,v  <--  manifest.mf
new revision: 1.2.52.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in core/execution/manifest.mf;
/cvs/core/execution/manifest.mf,v  <--  manifest.mf
new revision: 1.3.10.1; previous revision: 1.3
done
Processing log script arguments...
More commits to come...
Checking in core/ide/manifest.mf;
/cvs/core/ide/manifest.mf,v  <--  manifest.mf
new revision: 1.2.52.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in core/javahelp/manifest.mf;
/cvs/core/javahelp/manifest.mf,v  <--  manifest.mf
new revision: 1.6.18.2; previous revision: 1.6.18.1
done
Processing log script arguments...
More commits to come...
Checking in core/settings/manifest.mf;
/cvs/core/settings/manifest.mf,v  <--  manifest.mf
new revision: 1.2.18.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in core/src/org/netbeans/core/Bundle.properties;
/cvs/core/src/org/netbeans/core/Bundle.properties,v  <-- 
Bundle.properties
new revision: 1.346.2.4; previous revision: 1.346.2.3
done
Processing log script arguments...
More commits to come...
Checking in core/src/org/netbeans/core/resources/splash.gif;
/cvs/core/src/org/netbeans/core/resources/splash.gif,v  <--  splash.gif
new revision: 1.27.8.2; previous revision: 1.27.8.1
done
Processing log script arguments...
More commits to come...
Checking in core/src/org/netbeans/core/windows/Bundle.properties;
/cvs/core/src/org/netbeans/core/windows/Bundle.properties,v  <-- 
Bundle.properties
new revision: 1.42.8.2; previous revision: 1.42.8.1
done
Processing log script arguments...
More commits to come...
Checking in core/ui/manifest.mf;
/cvs/core/ui/manifest.mf,v  <--  manifest.mf
new revision: 1.2.50.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in core/windows/manifest.mf;
/cvs/core/windows/manifest.mf,v  <--  manifest.mf
new revision: 1.2.52.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in debuggercore/manifest.mf;
/cvs/debuggercore/manifest.mf,v  <--  manifest.mf
new revision: 1.49.28.1; previous revision: 1.49
done
Processing log script arguments...
More commits to come...
Checking in debuggerjpda/manifest.mf;
/cvs/debuggerjpda/manifest.mf,v  <--  manifest.mf
new revision: 1.40.44.1; previous revision: 1.40
done
Processing log script arguments...
More commits to come...
Checking in debuggertools/manifest.mf;
/cvs/debuggertools/manifest.mf,v  <--  manifest.mf
new revision: 1.35.28.1; previous revision: 1.35
done
Processing log script arguments...
More commits to come...
Checking in diff/manifest.mf;
/cvs/diff/manifest.mf,v  <--  manifest.mf
new revision: 1.10.18.1; previous revision: 1.10
done
Processing log script arguments...
More commits to come...
Checking in editor/manifest.mf;
/cvs/editor/manifest.mf,v  <--  manifest.mf
new revision: 1.43.42.1; previous revision: 1.43
done
Processing log script arguments...
More commits to come...
Checking in extbrowser/manifest.mf;
/cvs/extbrowser/manifest.mf,v  <--  manifest.mf
new revision: 1.12.34.1; previous revision: 1.12
done
Processing log script arguments...
More commits to come...
Checking in form/manifest.mf;
/cvs/form/manifest.mf,v  <--  manifest.mf
new revision: 1.49.12.1; previous revision: 1.49
done
Processing log script arguments...
More commits to come...
Checking in html/manifest.mf;
/cvs/html/manifest.mf,v  <--  manifest.mf
new revision: 1.36.34.1; previous revision: 1.36
done
Processing log script arguments...
More commits to come...
Checking in httpserver/manifest.mf;
/cvs/httpserver/manifest.mf,v  <--  manifest.mf
new revision: 1.37.12.1; previous revision: 1.37
done
Processing log script arguments...
More commits to come...
Checking in httpserver/servletapi/manifest.mf;
/cvs/httpserver/servletapi/manifest.mf,v  <--  manifest.mf
new revision: 1.3.10.1; previous revision: 1.3
done
Processing log script arguments...
More commits to come...
Checking in i18n/manifest-form.mf;
/cvs/i18n/manifest-form.mf,v  <--  manifest-form.mf
new revision: 1.12.10.1; previous revision: 1.12
done
Checking in i18n/manifest.mf;
/cvs/i18n/manifest.mf,v  <--  manifest.mf
new revision: 1.46.10.1; previous revision: 1.46
done
Processing log script arguments...
More commits to come...
Checking in image/manifest.mf;
/cvs/image/manifest.mf,v  <--  manifest.mf
new revision: 1.30.42.1; previous revision: 1.30
done
Processing log script arguments...
More commits to come...
Checking in j2eeserver/manifest.mf;
/cvs/j2eeserver/manifest.mf,v  <--  manifest.mf
new revision: 1.8.24.1; previous revision: 1.8
done
Processing log script arguments...
More commits to come...
Checking in jarpackager/manifest.mf;
/cvs/jarpackager/manifest.mf,v  <--  manifest.mf
new revision: 1.50.20.1; previous revision: 1.50
done
Processing log script arguments...
More commits to come...
Checking in java/manifest.mf;
/cvs/java/manifest.mf,v  <--  manifest.mf
new revision: 1.60.12.1; previous revision: 1.60
done
Processing log script arguments...
More commits to come...
Checking in java/api/manifest.mf;
/cvs/java/api/manifest.mf,v  <--  manifest.mf
new revision: 1.2.20.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in javacvs/manifest.mf;
/cvs/javacvs/manifest.mf,v  <--  manifest.mf
new revision: 1.22.36.1; previous revision: 1.22
done
Processing log script arguments...
More commits to come...
Checking in javadoc/manifest.mf;
/cvs/javadoc/manifest.mf,v  <--  manifest.mf
new revision: 1.50.18.1; previous revision: 1.50
done
Processing log script arguments...
More commits to come...
Checking in jndi/manifest.mf;
/cvs/jndi/manifest.mf,v  <--  manifest.mf
new revision: 1.42.4.1; previous revision: 1.42
done
Processing log script arguments...
More commits to come...
Checking in libs/spec-vers.properties;
/cvs/libs/spec-vers.properties,v  <--  spec-vers.properties
new revision: 1.1.18.1; previous revision: 1.1
done
Processing log script arguments...
More commits to come...
Checking in openide/openide-spec-vers.properties;
/cvs/openide/openide-spec-vers.properties,v  <-- 
openide-spec-vers.properties
new revision: 1.62.10.1; previous revision: 1.62
done
Processing log script arguments...
More commits to come...
Checking in openidex/manifest.mf;
/cvs/openidex/manifest.mf,v  <--  manifest.mf
new revision: 1.22.42.1; previous revision: 1.22
done
Processing log script arguments...
More commits to come...
Checking in projects/manifest.mf;
/cvs/projects/manifest.mf,v  <--  manifest.mf
new revision: 1.34.42.1; previous revision: 1.34
done
Processing log script arguments...
More commits to come...
Checking in properties/manifest-syntax.mf;
/cvs/properties/manifest-syntax.mf,v  <--  manifest-syntax.mf
new revision: 1.10.42.1; previous revision: 1.10
done
Checking in properties/manifest.mf;
/cvs/properties/manifest.mf,v  <--  manifest.mf
new revision: 1.46.38.1; previous revision: 1.46
done
Processing log script arguments...
More commits to come...
Checking in rmi/manifest.mf;
/cvs/rmi/manifest.mf,v  <--  manifest.mf
new revision: 1.68.12.1; previous revision: 1.68
done
Processing log script arguments...
More commits to come...
Checking in schema2beans/manifest.mf;
/cvs/schema2beans/manifest.mf,v  <--  manifest.mf
new revision: 1.6.20.1; previous revision: 1.6
done
Processing log script arguments...
More commits to come...
Checking in scripting/manifest.mf;
/cvs/scripting/manifest.mf,v  <--  manifest.mf
new revision: 1.28.32.1; previous revision: 1.28
done
Processing log script arguments...
More commits to come...
Checking in text/manifest.mf;
/cvs/text/manifest.mf,v  <--  manifest.mf
new revision: 1.34.42.1; previous revision: 1.34
done
Processing log script arguments...
More commits to come...
Checking in tomcatint/bundledtomcat/manifest.mf;
/cvs/tomcatint/bundledtomcat/manifest.mf,v  <--  manifest.mf
new revision: 1.2.6.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in tomcatint/tomcat40/manifest-autocompile.mf;
/cvs/tomcatint/tomcat40/manifest-autocompile.mf,v  <-- 
manifest-autocompile.mf
new revision: 1.4.6.1; previous revision: 1.4
done
Checking in tomcatint/tomcat40/manifest.mf;
/cvs/tomcatint/tomcat40/manifest.mf,v  <--  manifest.mf
new revision: 1.18.6.2; previous revision: 1.18.6.1
done
Processing log script arguments...
More commits to come...
Checking in ui/welcome/manifest.mf;
/cvs/ui/welcome/manifest.mf,v  <--  manifest.mf
new revision: 1.6.8.1; previous revision: 1.6
done
Processing log script arguments...
More commits to come...
Checking in usersguide/manifest.mf;
/cvs/usersguide/manifest.mf,v  <--  manifest.mf
new revision: 1.30.42.1; previous revision: 1.30
done
Processing log script arguments...
More commits to come...
Checking in utilities/manifest.mf;
/cvs/utilities/manifest.mf,v  <--  manifest.mf
new revision: 1.36.16.1; previous revision: 1.36
done
Processing log script arguments...
More commits to come...
Checking in vcscore/manifest.mf;
/cvs/vcscore/manifest.mf,v  <--  manifest.mf
new revision: 1.28.14.1; previous revision: 1.28
done
Processing log script arguments...
More commits to come...
Checking in vcscvs/compat/manifest.mf;
/cvs/vcscvs/compat/manifest.mf,v  <--  manifest.mf
new revision: 1.4.42.1; previous revision: 1.4
done
Processing log script arguments...
More commits to come...
Checking in vcsgeneric/manifest.mf;
/cvs/vcsgeneric/manifest.mf,v  <--  manifest.mf
new revision: 1.52.22.1; previous revision: 1.52
done
Processing log script arguments...
More commits to come...
Checking in vcsgeneric/profiles/cvsprofiles/manifest.mf;
/cvs/vcsgeneric/profiles/cvsprofiles/manifest.mf,v  <--  manifest.mf
new revision: 1.2.26.1; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in vcsgeneric/profiles/pvcs/manifest.mf;
/cvs/vcsgeneric/profiles/pvcs/manifest.mf,v  <--  manifest.mf
new revision: 1.1.38.1; previous revision: 1.1
done
Processing log script arguments...
More commits to come...
Checking in vcsgeneric/profiles/vss/manifest.mf;
/cvs/vcsgeneric/profiles/vss/manifest.mf,v  <--  manifest.mf
new revision: 1.1.36.1; previous revision: 1.1
done
Processing log script arguments...
More commits to come...
Checking in web/core/manifest.mf;
/cvs/web/core/manifest.mf,v  <--  manifest.mf
new revision: 1.10.18.1; previous revision: 1.10
done
Processing log script arguments...
More commits to come...
Checking in web/jspparser/manifest.mf;
/cvs/web/jspparser/manifest.mf,v  <--  manifest.mf
new revision: 1.6.10.1; previous revision: 1.6
done
Processing log script arguments...
More commits to come...
Checking in web/jspsyntax/manifest.mf;
/cvs/web/jspsyntax/manifest.mf,v  <--  manifest.mf
new revision: 1.7.12.1; previous revision: 1.7
done
Processing log script arguments...
More commits to come...
Checking in web/servletapi23/manifest.mf;
/cvs/web/servletapi23/manifest.mf,v  <--  manifest.mf
new revision: 1.4.10.1; previous revision: 1.4
done
Processing log script arguments...
More commits to come...
Checking in xml/spec-vers.properties;
/cvs/xml/spec-vers.properties,v  <--  spec-vers.properties
new revision: 1.15.10.2; previous revision: 1.15.10.1
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo